/*!
 * @techmely/utils
 * Copyright(c) 2021-2024 Techmely <techmely.creation@gmail.com>
 * MIT Licensed
 */


// src/findFirstDefined.ts
function findFirstDefined(...args) {
  return args.find((arg) => arg !== void 0);
}

export { findFirstDefined };
